Bug 125093 - Build of nautilus writes to /usr/lib
Build of nautilus writes to /usr/lib
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 13:34 EDT by Steve Snyder
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 16:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2004-06-02 13:34:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040120

Description of problem:
In the course of rebuilding the nautilus-2.6.0-4 package ("rpmbuild
--rebuild nautilus-2.6.0-4.src.rpm") the timestamp on the /usr/lib
directory is updated to the time that the binary packages were built.
 No updated files are seen in the directory, but the change of
timestamp suggests that the RPM build process is writing to a
directory that should not be touched.



Version-Release number of selected component (if applicable):
2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1. Note time stamp ("ls -lt /usr") on /usr/lib directory.
2. Rebuild binary packages: rpmbuild --rebuild nautilus-2.6.0-4.src.rpm
3. Note that timestamp on /usr/lib directory has changed.


Actual Results:  Modified timestamp on /usr/lib directory.

Expected Results:  Packaging of binary packages should be restricted
to /usr/src/redhat and to /var/tmp directories.

Additional info:

Writing to /usr/lib in the course of building binary packages risks
modifying the existing files in that directory.  Don't do that!
Comment 1 Matthew Miller 2005-04-26 12:40:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-04-24 16:49:33 EDT
Closing due to lack of response and Fedora Legacy issue mentioned
above.

Note You need to log in before you can comment on or make changes to this bug.